GNATDOC(1)

NAME
gnatdoc - extract documentation from Ada sources

SYNOPSIS
gnatdoc -Pproject[.gpr]

DESCRIPTION
GNATdoc is a documentation tool for Ada which processes source files, extracts documentation directly from the sources, and generates annotated HTML files. It is based on the source cross-reference information (e.g. generated by GNAT for Ada files). This means that you should ensure that cross-reference information has been generated before generating the documentation. It also relies on standard comments that it extracts from the source code. The engine in charge of extracting them coupled with the cross-reference engine gives GNATdoc all the flexibility needed to generate accurate documentation, and report errors in case of wrong documentation.

-P project[.gpr], -Pproject[.gpr], --project=project[.gpr]
    path to the main GNAT project

-Xvariable=value
    set an external project variable

-RARG, --regexp=ARG
    only extract comments matching a regular expression

-b  process bodies extract documentation from package body if none is found in specification

--ignore-files=ARG
    source files to ignore, separated by spaces or commas

-l  extract comments located before the declaration, not after

--no-subprojects
    restrict processing to the main project

-p  process private part of packages

-q  only display errors

--single-file=ARG
    only process one source in this project

-w  warn for fields, parameters or subprograms without documentation

--enable-build
    launch gprbuild on the project before processing it -h, --help display usage then exit

SEE ALSO
gprbuild (1), various user guides in the /usr/share/doc/gnat-gps directory if the gnat-gps-doc Debian package is installed on your system, and the full gprbuild manual at http://docs.adacore.com/gprbuild-docs/html/gprbuild_ug.html.

AUTHOR
The GNAT Programming Studio has been written and is maintained by Ada Core Technologies. If you are interested in getting commercial support for this software, please contact sales@gnat.com. This manual page has been written by Nicolas Boulenguez <nicolas@debian.org> for Debian GNU/Linux.